<template>
  <li class="relative pb-10">
    <Link v-if="!last" :active="step.status === 'completed'"/>
    <a class="relative flex items-start group" v-on:click="step.go()">
      <span class="h-9 flex items-center">
        <span v-if="step.status==='completed'" class="relative z-10 w-8 h-8 flex items-center justify-center bg-yellow-500 rounded-full group-hover:bg-yellow-800">
          <svg class="w-5 h-5 text-white" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
            <path fill-rule="evenodd" d="M16.707 5.293a1 1 0 010 1.414l-8 8a1 1 0 01-1.414 0l-4-4a1 1 0 011.414-1.414L8 12.586l7.293-7.293a1 1 0 011.414 0z" clip-rule="evenodd" />
          </svg>
        </span>
        <span v-else-if="step.status==='current'" class="relative z-10 w-8 h-8 flex items-center justify-center bg-white border-2 border-yellow-500 rounded-full">
          <span class="h-2.5 w-2.5 bg-yellow-500 rounded-full"></span>
        </span>
        <span v-else class="relative z-10 w-8 h-8 flex items-center justify-center bg-white border-2 border-gray-300 rounded-full group-hover:border-gray-400">
          <span class="h-2.5 w-2.5 bg-transparent rounded-full group-hover:bg-gray-300"></span>
        </span>
      </span>
      <span class="ml-4 min-w-0 flex flex-col">
        <span class="text-xs font-semibold uppercase tracking-wide">{{step.title}}</span>
        <span class="text-sm text-gray-500">{{step.description}}</span>
      </span>
    </a>
  </li>
</template>

<script>
import Link from './Link'

export default {
  name: 'Step',
  components: { Link },
  props: ['step', 'last']
}
</script>

<style lang="postcss">

</style>
